Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.event
Class EventDefinitionMetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.metadata.common.DescribableMetaData
          org.jboss.portal.portlet.impl.metadata.event.EventDefinitionMetaData

    public class EventDefinitionMetaData

extends DescribableMetaData

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`EventDefinitionMetaData()`
`EventDefinitionMetaData(java.lang.String id)`

Method Summary
`void` | `addAlias(javax.xml.namespace.QName alias)`
`java.util.List<javax.xml.namespace.QName>` | `getAlias()`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`javax.xml.namespace.QName` | `getQname()`
`java.lang.String` | `getValueType()`
`void` | `setAlias(java.util.List<javax.xml.namespace.QName> alias)`
`void` | `setId(java.lang.String id)`
`void` | `setName(java.lang.String name)`
`void` | `setQname(javax.xml.namespace.QName qname)`
`void` | `setValueType(java.lang.String valueType)`

Methods inherited from class org.jboss.portal.portlet.impl.metadata.common.DescribableMetaData
`getDescription, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDefinitionMetaData

    public EventDefinitionMetaData()

### EventDefinitionMetaData

    public EventDefinitionMetaData(java.lang.String id)

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getQname

    public javax.xml.namespace.QName getQname()

### setQname

    public void setQname(javax.xml.namespace.QName qname)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getValueType

    public java.lang.String getValueType()

### setValueType

    public void setValueType(java.lang.String valueType)

### getAlias

    public java.util.List<javax.xml.namespace.QName> getAlias()

### setAlias

    public void setAlias(java.util.List<javax.xml.namespace.QName> alias)

### addAlias

    public void addAlias(javax.xml.namespace.QName alias)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.